/*!
 * @file        main.h
 *
 * @brief       Header for main.c module
 *
 * @version     V1.0.0
 *
 * @date        2022-09-29
 *
 * @attention
 *
 *  Copyright (C) 2022 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be usefull and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */

/* Define to prevent recursive inclusion */
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
  extern "C" {
#endif

/* Includes */
#include "Board.h"
#include "apm32f0xx.h"
#include "apm32f0xx_pmu.h"
#include "apm32f0xx_eint.h"
#include "apm32f0xx_rcm.h"
#include "apm32f0xx_gpio.h"
#include "apm32f0xx_usart.h"
#include "apm32f0xx_misc.h"
#include "apm32f0xx_tmr.h"
#include "apm32f0xx_can.h"
#include "bsp_delay.h"

/** @addtogroup Examples
  @{
  */

/** @addtogroup CAN_TwoBoards
  @{
  */

/** @defgroup CAN_TwoBoards_Macros Macros
  @{
*/
#define CAN_PERIPH_CLK      RCM_APB1_PERIPH_CAN
#define CAN_TX_PIN          GPIO_PIN_9
#define CAN_TX_GPIO_PORT    GPIOB
#define CAN_TX_AF_PORT      GPIO_AF_PIN4
#define CAN_TX_SOURCE       GPIO_PIN_SOURCE_9
#define CAN_TX_GPIO_CLK     RCM_AHB_PERIPH_GPIOB
#define CAN_RX_PIN          GPIO_PIN_8
#define CAN_RX_GPIO_PORT    GPIOB
#define CAN_RX_AF_PORT      GPIO_AF_PIN4
#define CAN_RX_SOURCE       GPIO_PIN_SOURCE_8
#define CAN_RX_GPIO_CLK     RCM_AHB_PERIPH_GPIOB

/**@} end of group CAN_TwoBoards_Macros*/

/** @defgroup CAN_TwoBoards_Functions Functions
  @{
  */
void TMR14_Isr(void);
void CAN_Isr(void);

#ifdef __cplusplus
}
#endif

#endif

/**@} end of group CAN_TwoBoards_Functions */
/**@} end of group CAN_TwoBoards */
/**@} end of group Examples */
