/*!
 * @file        tos_config.h
 *
 * @brief       Header file for TencentOS Tiny
 *
 * @version     V1.0.0
 *
 * @date        2022-09-29
 *
 * @attention
 *
 *  Copyright (C) 2022 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be usefull and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */

#ifndef __TOS_CONFIG_H
#define __TOS_CONFIG_H

#include "apm32f0xx.h"

#define TOS_CFG_TASK_PRIO_MAX               10u

#define TOS_CFG_ROUND_ROBIN_EN              1u

#define TOS_CFG_OBJECT_VERIFY_EN            0u

#define TOS_CFG_TASK_DYNAMIC_CREATE_EN      0u

#define TOS_CFG_EVENT_EN                    1u

#define TOS_CFG_MMBLK_EN                    1u

#define TOS_CFG_MMHEAP_EN                   1u

#define TOS_CFG_MMHEAP_DEFAULT_POOL_SIZE    0x100

#define TOS_CFG_MUTEX_EN                    1u

#define TOS_CFG_TIMER_EN                    1u

#define TOS_CFG_SEM_EN                      1u

#define TOS_CFG_IDLE_TASK_STK_SIZE          128u

#define TOS_CFG_CPU_TICK_PER_SECOND         1000u

#define TOS_CFG_CPU_CLOCK                   (SystemCoreClock)

#define TOS_CFG_TIMER_AS_PROC               1u

#endif
