/*!
 * @file        main.h
 *
 * @brief       Main program body
 *
 * @version     V1.0.0
 *
 * @date        2022-09-29
 *
 * @attention
 *
 *  Copyright (C) 2022 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be usefull and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */

/* Define to prevent recursive inclusion */
#ifndef __MAIN_H
#define __MAIN_H

/* Includes */
#include "board.h"
#include "apm32f0xx_tmr.h"

/** @addtogroup Examples
  * @brief USB CDC Virtual COM port examples
  @{
  */

/** @addtogroup USB_CDC_VirtualComPort
  @{
  */

/** @defgroup USB_CDC_VirtualComPort_Functions Functions
  @{
  */

void TMR14_Isr(void);

#endif

/**@} end of group USB_CDC_VirtualComPort_Functions */
/**@} end of group USB_CDC_VirtualComPort */
/**@} end of group Examples */
